<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
function uredi_tekst_upload($id, $putanja_upload, $domena, $conn)
{
	$sql = "select naslov, prikaznaslov from b7_paragraf where id_paragraf='$id'";
    $rez = mysql_query($sql, $conn);
    $row = mysql_fetch_array($rez);
    $naslov = $row["naslov"];
    $prikaznaslov = $row["prikaznaslov"];
	
	$tekst_novi = '<div class="paragraf_download">' . "\n";
    if ($prikaznaslov == 1) $tekst_novi .= '<h2>' . $naslov . '</h2>' . "\n";

    $sql = "select naslov,datum_prikaz,dan,opis,velicina from b7_paragraf_upload where id_paragraf='$id' order by datum_prikaz desc";
    $rez = mysql_query($sql, $conn);
    if ($rez) $num = mysql_num_rows($rez);
    if ($num > 0) {
		$tekst_novi .= '<table cellspacing="0" cellpadding="0" border="0" width="100%" class="stripeMe">' . "\n";
		$tekst_novi .= '<tr>' . "\n";
		$tekst_novi .= '<th>R.Br.</td>' . "\n";		
		$tekst_novi .= '<th>File</td>' . "\n";
		$tekst_novi .= '<th>Veličina</td>' . "\n";
		$tekst_novi .= '<th>Datum</td>' . "\n";
		$tekst_novi .= '</tr>' . "\n";

		$cur=1;
		while ($num>=$cur) {
			$row99=mysql_fetch_array($rez);	
			$file_name=$row99[0];
			$datum_prikaz=$row99[1];
			$dan=$row99[2];
			$opis=$row99[3];
			$velicina=$row99[4];
			
			$tekst_novi .= '<tr>' . "\n";
			$tekst_novi .= '<td>'.$cur.'.</td>' . "\n";
			//$tekst_novi .= '<td><a href="'.$domena.$putanja_upload.$file_name.'" target="_blank">'.$opis.'</a></td>' . "\n";
			$tekst_novi .= '<td><a href="'.$putanja_upload.$file_name.'" target="_blank">'.$opis.'</a></td>' . "\n";
			$tekst_novi .= '<td>'.$velicina.'</td>' . "\n";
			$tekst_novi .= '<td>'.$dan.', '.date_format(date_create($datum_prikaz), 'd.m.Y').'</td>' . "\n";			
			$tekst_novi .= '</tr>' . "\n";
			$cur++;
		}
		$tekst_novi .= '</table>' . "\n";
	}     
	$tekst_novi .= '</div>' . "\n";
	return ($tekst_novi);
}


?>
